Create memory
Create one durable memory. `personal` always targets the API key user's own scope.
Base URL
POST
Create one durable memory. personal always targets the API key user's own scope.
bearerAuthheader
AuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
application/json- body
Values are trimmed before length limits are checked.
title*Memories.MemoryTitleLength
1 <= length <= 200content*Memories.MemoryContentCanonical Markdown body. Directive memories must be at most 2000 characters so they can be injected in full.
Length
1 <= length <= 20000description*Memories.MemoryDescriptionLength
10 <= length <= 420memory_type*Memories.MemoryTypeValue in
"fact""directive"scope*"personal"Value in
"personal"scope_id?Memories.MemoryUserIdNot supported for personal memories. Any value is rejected with 400.
Length
1 <= lengthCreated memory
application/json- response
data*curl -X POST 'https://your-org.inspect.com/api/public/v1/memories' \ -H 'Content-Type: application/json' \ -d '{ "title": "string", "content": "string", "description": "stringstri", "memory_type": "fact", "scope": "personal"}'Example Response
{ "data": { "memory": { "id": "string", "title": "string", "content": "string", "description": "string", "memoryType": "fact", "archivedAt": "2019-08-24T14:15:22Z", "archivedReason": "string" }, "scope": { "type": "personal", "id": "string" } }}